Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
LAP::Cuts Struct Reference

To store extra cuts generated by columns from which they origin. More...

`#include <CglLandPUtils.hpp>`

Collaboration diagram for LAP::Cuts:
[legend]

## Public Member Functions
| Cuts ()
int | insertAll (OsiCuts &cs, CoinRelFltEq &eq)
| Puts all the cuts into an OsiCuts. More...
| ~Cuts ()
| Destructor. More...
OsiRowCut * | rowCut (unsigned int i)
| Access to row cut indexed by i. More...
const OsiRowCut * | rowCut (unsigned int i) const
| const access to row cut indexed by i More...
void | insert (int i, OsiRowCut *cut)
| insert a cut for variable i and count number of cuts. More...
int | numberCuts ()
| Access to number of cuts. More...
void | resize (unsigned int i)
| resize vector. More...

## Private Attributes
int | numberCuts_
| Stores the number of cuts. More...
std::vector< OsiRowCut * > | cuts_
| Store the cuts by index of the generating simple disjunction. More...

## Detailed Description

To store extra cuts generated by columns from which they origin.

Definition at line 59 of file CglLandPUtils.hpp.

## Constructor & Destructor Documentation

LAP::Cuts::Cuts | ( |  | ) |
| inline

Definition at line 61 of file CglLandPUtils.hpp.

LAP::Cuts::~Cuts | ( |  | ) |
| inline

Destructor.

Definition at line 67 of file CglLandPUtils.hpp.

## Member Function Documentation

int LAP::Cuts::insertAll | ( | OsiCuts & | cs,
|  | CoinRelFltEq & | eq
| ) |  |

Puts all the cuts into an OsiCuts.

OsiRowCut* LAP::Cuts::rowCut | ( | unsigned int | i | ) |
| inline

Access to row cut indexed by i.

Definition at line 69 of file CglLandPUtils.hpp.

const OsiRowCut* LAP::Cuts::rowCut | ( | unsigned int | i | ) | const
| inline

const access to row cut indexed by i

Definition at line 74 of file CglLandPUtils.hpp.

void LAP::Cuts::insert | ( | int | i,
|  | OsiRowCut * | cut
| ) |  |

insert a cut for variable i and count number of cuts.

int LAP::Cuts::numberCuts | ( |  | ) |
| inline

Access to number of cuts.

Definition at line 81 of file CglLandPUtils.hpp.

void LAP::Cuts::resize | ( | unsigned int | i | ) |
| inline

resize vector.

Definition at line 86 of file CglLandPUtils.hpp.

## Member Data Documentation

int LAP::Cuts::numberCuts_
| private

Stores the number of cuts.

Definition at line 92 of file CglLandPUtils.hpp.

std::vector<OsiRowCut *> LAP::Cuts::cuts_
| private

Store the cuts by index of the generating simple disjunction.

Definition at line 94 of file CglLandPUtils.hpp.

The documentation for this struct was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Cgl/src/CglLandP/CglLandPUtils.hpp